aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmake/deploy-jars-webstarttest.sh15
-rwxr-xr-xmake/deploy-jars-webstarttest_pack200.sh43
-rwxr-xr-xmake/deploy-jnlp-webstarttest.sh15
3 files changed, 63 insertions, 10 deletions
diff --git a/make/deploy-jars-webstarttest.sh b/make/deploy-jars-webstarttest.sh
index 861e638b1..9f38c8e28 100755
--- a/make/deploy-jars-webstarttest.sh
+++ b/make/deploy-jars-webstarttest.sh
@@ -3,8 +3,11 @@
joglbuilddir=$1
shift
-if [ -z "$joglbuilddir" ] ; then
- echo usage $0 jogl-builddir
+wsdir=$1
+shift
+
+if [ -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 jogl-builddir webstartdir
exit 1
fi
@@ -13,6 +16,11 @@ if [ ! -e $joglbuilddir ] ; then
exit 1
fi
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
builddirbase=`basename $joglbuilddir`
joglroot=`dirname $joglbuilddir`
gluegenroot=$joglroot/../gluegen
@@ -37,9 +45,6 @@ if [ ! -e $jnlpdir_demos ] ; then
exit 1
fi
-wsdir=$joglbuilddir/webstart
-mkdir -p $wsdir
-
cp -v $gluegenroot/$builddirbase/*.jar $wsdir
cp -v $gluegenroot/$builddirbase/obj/lib*.so $wsdir
diff --git a/make/deploy-jars-webstarttest_pack200.sh b/make/deploy-jars-webstarttest_pack200.sh
new file mode 100755
index 000000000..fd9e215a9
--- /dev/null
+++ b/make/deploy-jars-webstarttest_pack200.sh
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+mkdir -p DLLS
+mv *linux*.jar DLLS/
+mv *windows*.jar DLLS/
+mv *macosx*.jar DLLS/
+
+mkdir -p JAVAS
+mv *.jar JAVAS
+
+cd JAVAS
+
+for i in *.jar ; do
+ echo pack200 -E9 $i.pack.gz $i
+ pack200 -E9 $i.pack.gz $i
+done
+
+cd $wsdir
+
+mv JAVAS/* .
+mv DLLS/* .
+
+rm -rf JAVAS DLLS
+
+cd $THISDIR
+
diff --git a/make/deploy-jnlp-webstarttest.sh b/make/deploy-jnlp-webstarttest.sh
index dd3cb0f1f..26a0f8b35 100755
--- a/make/deploy-jnlp-webstarttest.sh
+++ b/make/deploy-jnlp-webstarttest.sh
@@ -6,8 +6,11 @@ shift
joglbuilddir=$1
shift
-if [ -z "$url" -o -z "$joglbuilddir" ] ; then
- echo usage $0 codebase-url jogl-builddir
+wsdir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" -o -z "$wsdir" ] ; then
+ echo usage $0 codebase-url jogl-builddir webstartdir
exit 1
fi
@@ -16,6 +19,11 @@ if [ ! -e $joglbuilddir ] ; then
exit 1
fi
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
builddirbase=`basename $joglbuilddir`
joglroot=`dirname $joglbuilddir`
gluegenroot=$joglroot/../gluegen
@@ -40,9 +48,6 @@ if [ ! -e $jnlpdir_demos ] ; then
exit 1
fi
-wsdir=$joglbuilddir/webstart
-mkdir -p $wsdir
-
cp -v $jnlpdir_demos/*.html $wsdir
uri_esc=`echo $url | sed 's/\//\\\\\//g'`